﻿//////////////////////////////////////////////
// TextureSaver.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics
{
	class Texture ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../Dll/DllDefines.h"

// nkMemory
#include <NilkinsMemory/Containers/StringView.h>

/// Class ------------------------------------

namespace nkGraphics
{
	class DLL_GRAPHICS_EXPORT TextureSaver final
	{
		private :

			// Constructeur, destructeur
			TextureSaver () ;
			~TextureSaver () ;

		public :

			// HDR
			static bool saveTextureToHdr (Texture* tex, const nkMemory::StringView& path) ;
	} ;
}