﻿//////////////////////////////////////////////
// Cursor.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkMemory
#include <NilkinsMemory/Containers/StringView.h>

// Standards
#include <string>

/// Class ------------------------------------

namespace nkWinUi
{
	class Cursor
	{
		protected :

			// Attributes
			// Nom
			std::string _name ;

		public :

			// Constructeur, destructeur
			Cursor () ;
			virtual ~Cursor () ;

			// Getters
			nkMemory::StringView getName () const ;

			// Setters
			void setName (const nkMemory::StringView& value) ;

			// Load
			virtual bool load () = 0 ;
			virtual void unload () = 0 ;

			// Activation
			virtual void activate () = 0 ;
			virtual void deactivate () = 0 ;
	} ;
}