﻿//////////////////////////////////////////////
// ProjectSaveQuery.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkAstraeus
#include "../Dll/DllDefines.h"

// nkGraphics
#include <NilkinsGraphics/Resources/ResourceSetSaveQuery.h>

// nkMemory
#include <NilkinsMemory/Containers/String.h>

// nkScripts
#include <NilkinsScripts/Exporter/Project/ProjectSaveQuery.h>

/// Class ------------------------------------

namespace nkAstraeus
{
	struct DLL_ASTRAEUS_EXPORT ProjectSaveQuery final
	{
		// Path voulu, relatif à folder de données
		// Va override les paths spécifié dans les autres queries filles
		nkMemory::String _path ;

		// Queries
		nkGraphics::ResourceSetSaveQuery _graphicsQuery ;
		nkScripts::ProjectSaveQuery _scriptsQuery ;
	} ;
}