﻿//////////////////////////////////////////////
// ClickEventData.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkWinUi
#include "InputCodes.h"

// nkMaths
#include <NilkinsMaths/Geometry/Point.h>

/// Class ------------------------------------

namespace nkWinUi
{
	struct ClickEventData final
	{
		// Position dans le component (relatif)
		nkMaths::Point _mouseRel ;

		// Bouton actif
		MOUSE_BUTTON _button = MOUSE_BUTTON::MOUSE_LEFT ;

		// Enfoncé ou releasé
		bool _pressed = true ;
	} ;
}